import {
  SandpackProvider,
  SandpackLayout,
  SandpackPreview,
  SandpackFileExplorer,
} from 'sandpack-vue3'
import { atomDark } from '@codesandbox/sandpack-themes'
import CodeEditor from './components/CodeEditor'

export default defineComponent({
  setup() {
    return () => (
      <>
        <SandpackProvider
          class="!w-h-full"
          theme={atomDark}
          template="static"
          option={{
            showConsole: true,
          }}
        >
          <SandpackLayout class="w-h-full">
            <SandpackFileExplorer class="!h-full" />
            {/* <SandpackCodeEditor
              class="!h-full"
              ref={codemirrorInstance}
              showTabs
              showLineNumbers={true}
              showInlineErrors={false}
            /> */}
            <CodeEditor />
            <SandpackPreview class="!h-full" />
          </SandpackLayout>
          {/* <SandpackLayout>
          <SandpackConsole />
          </SandpackLayout> */}
        </SandpackProvider>
      </>
    )
  },
})
